
Core - Bug # 53342

Epic # 47018 (Resolved): Implement Composer support and clean package manager API

Status: Resolved Priority: Must have
Author: Dmitry Dulepov Category: Extension Manager
Created: 2013-11-05 Assigned To:
Updated: 2015-01-12 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: PackageManager::getCacheIdentifier() uses truncated md5
Description

md5 is useful only as whole. Truncated md5 is much less unique then whole value. Bad code is near line 165:

                $this->cacheIdentifier = substr(md5_file($this->packageStatesPathAndFilename), 0, 13);

History
#1 - 2014-01-31 17:02 - Thomas Maroschik
- Assigned To set to Thomas Maroschik

#2 - 2014-02-12 09:55 - Ernesto Baschny
- Parent task set to #47018

#3 - 2015-01-12 19:28 - Helmut Hummel
- Status changed from New to Resolved
- Assigned To deleted (Thomas Maroschik)

fixed with #58288
